## org.apache.portals.bridges.jsf
Class RequestHeaderValuesMap

    java.lang.Object
      org.apache.portals.bridges.jsf.AbstractAttributeMap
          org.apache.portals.bridges.jsf.RequestHeaderValuesMap

All Implemented Interfaces:
  Map

public class RequestHeaderValuesMap
extends AbstractAttributeMap

This must be the set of properties available via the javax.portlet.PortletRequest methods getProperties() and getPropertyNames(). As such, HTTP headers will only be included if they were provided by the portlet container, and additional properties provided by the portlet container may also be included.

See MyFaces project for servlet implementation.

Author:
  David Le Strat

Nested Class Summary

Nested classes inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
``

Nested classes inherited from class java.util.Map
`Map.Entry`

Field Summary
`private javax.portlet.PortletRequest` `portletRequest` The portlet request.
`private Map` `valueCache` Value cache.

Fields inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
``

Constructor Summary
`(package private)` `RequestHeaderValuesMap(javax.portlet.PortletRequest portletRequest)`

Method Summary
`protected Object` `getAttribute(String key)` Gets an attribute given a key.
`protected Enumeration` `getAttributeNames()` Gets the attributes names.
`protected void` `removeAttribute(String key)` Removes an attribute.
`protected void` `setAttribute(String key, Object value)` Sets an attribute given a key/value.
`private String[]` `toArray(Enumeration e)`

Methods inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
`clear, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### portletRequest

    private final javax.portlet.PortletRequest portletRequest

  The portlet request.

### valueCache

    private final Map valueCache

  Value cache.

Constructor Detail

### RequestHeaderValuesMap

    RequestHeaderValuesMap(javax.portlet.PortletRequest portletRequest)

Parameters:
  `portletRequest` - The `PortletRequest`.

Method Detail

### getAttribute

    protected Object getAttribute(String key)

  Description copied from class: `AbstractAttributeMap`

  Gets an attribute given a key.

  Specified by:
    `getAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.
  Returns:
    The attribute.
  See Also:
    `AbstractAttributeMap.getAttribute(java.lang.String)`

### setAttribute

    protected void setAttribute(String key,
                                Object value)

  Description copied from class: `AbstractAttributeMap`

  Sets an attribute given a key/value.

  Specified by:
    `setAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.
    `value` - The value.
  See Also:
    `AbstractAttributeMap.setAttribute(java.lang.String, java.lang.Object)`

### removeAttribute

    protected void removeAttribute(String key)

  Description copied from class: `AbstractAttributeMap`

  Removes an attribute.

  Specified by:
    `removeAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.
  See Also:
    `AbstractAttributeMap.removeAttribute(java.lang.String)`

### getAttributeNames

    protected Enumeration getAttributeNames()

  Description copied from class: `AbstractAttributeMap`

  Gets the attributes names.

  Specified by:
    `getAttributeNames` in class `AbstractAttributeMap`
  Returns:
    An enumeration of attributes names.
  See Also:
    `AbstractAttributeMap.getAttributeNames()`

### toArray

    private String[] toArray(Enumeration e)

  Parameters:
    `e` - The enumeration.
  Returns:
    An array of strings.

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.